<?
if(isset($_POST['text']))
{
$text=$_POST['text'];
$q=mysql_query("SELECT * FROM `kolhoz_user` WHERE `status` <= '3' AND `id` != '$ku[id]'");
if($_POST['type']==1)$type='Опрос:';
elseif($_POST['type']==2)$type='Объявление:';
elseif($_POST['type']==3)$type='Новость:';
else $type='Специальная рассылка:';
$msg="$type
$text";
while($post=mysql_fetch_array($q))
{
mysql_query("INSERT INTO `kolhoz_mail` SET `id_user` = '$post[id]', `id_kont` = '$ku[id]', `msg` = '".my_esc($msg)."', `time` = '$time', `type` = 'to'");
}
update_ku('time_support',($time+(0*3600)));
header("Location:/?admin");
$_SESSION['msg']='Ваше сообщение успешно отправлено.';
exit;
}
?>
<div class="event">
<h1>Рассылка</h1></div>
<div class="content">
<div class="block">
<form method="post"><div
style="width:0px;height:0px;position:absolute;left:-100px;top:-100px;overflow:hidden"><input type="hidden" name="mdp" value="<? echo $ku['mdp'];?>"></div>
<ul>
<li>
<div class='small ptm'>
<div style='padding-top:4px'>
<div class='event' style='height:2px'>
<div class='eventlight' style='height:2px;width:".rand(75,95)."%'>
</div>
</div>
<ul class='block'>
<li>
<label>
<div>Тип рассылки:</div>
<div><select name="type">
<option value="1">Опрос</option>
<option value="2">Объявление</option>
<option selected="selected" value="3">Новость</option>
<option value="4">Спец. рассылка</option>
</select></div>
</label>
</li>
<li>
<label>
<div class="pt">Сообщение:</div>
<div><textarea class="wide" rows="5" name="text"></textarea></div>
</label>
</li>
<li>
<div style="font-size:0.6em">Данное сообщение будет отправлено всем жителям фермы.</div>
</li>
<li>
<?php
echo "<input type='submit' value='Разослать'>";
?>
</li>
</ul>
</form>
</div>
<? include_once 'inc/foot.php';?>